## MacPorts-2.11.6.tar.bz2

=== tests/test/dependencies-d/DESCRIPTION ===
This test checks for an invalid dependency specification. The "depends" option
tested in this test apparently was never implemented.

There is 1 test case.

=== tests/test/dependencies-e/DESCRIPTION ===
This test checks whether unknown dependencies correctly fail. There should be
an error saying that the requested dependencies do not exist.

There is 1 test case.

=== tests/test/svn-and-patchsites/DESCRIPTION ===
This test checks fetching using svn and downloading of patchfiles from
the URL given by patch_sites.

There is 1 test case which looks for errors in the output file.

=== tests/test/setuid/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4

PortSystem          1.0

name                setuid
version             0
categories          test
maintainers         nomaintainer
homepage            https://www.macports.org/
platforms           darwin
supported_archs     noarch
configure.cxx_stdlib

description         Test for the setuid bit
long_description    ${description}

distfiles
use_configure       no

extract {
    file mkdir ${worksrcpath}
    file copy ${filespath}/test.sh ${worksrcpath}
}

build.cmd ${worksrcpath}/test.sh

destroot {
    touch ${destroot}${prefix}/lib/${name}
}

test {
    # test is actually running build target
}

=== tests/test/xcodeversion/Portfile ===
PortSystem 1.0

name        xcodeversion
version     1
categories  test
maintainers pguyot@kallisys.net
description Test port for \$xcodeversion
homepage    https://www.macports.org/
platforms   darwin
supported_archs noarch
configure.cxx_stdlib

long_description ${description}

distfiles
use_configure no
build       {}
destroot    {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test {
    if {$xcodeversion != "" && [vercmp $xcodeversion 2.1] >= 0} {
        ui_msg "xcodeversion >= 2.1"
    } else {
        ui_msg "xcodeversion = $xcodeversion"
    }
    ui_msg "xcodebuildcmd = $xcodebuildcmd"
}
